Story5/urls.py
from django.urls import path

from . import views

app_name = 'Story5'

urlpatterns = [
	path('', views.Join, name='jadwal'),
    path('jadwal', views.Join, name='jadwal'),
    path('detail/<int:pk>', views.detail, name='detail'),
    path('<int:pk>',views.sched_delete,name = 'Delete'),

]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('home', views.home, name='home'),
    path('story1', views.story1, name='story1'),
    path('experience', views.experience, name='experience'),

]

zulfandinca_story/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('story5/', include('Story5.urls')),
    path('story6/',include('Story6.urls', namespace = 'templates')),
    path('story7/', include('Story7.urls')),
    path('story8/', include('Story8.urls')),
]

Story5/models.py
from django.db import models
from django import forms

# Create your models here.
class Jadwal(models.Model):
	Nama = models.TextField(max_length=50)
	Dosen = models.TextField(max_length=50)
	SKS = models.TextField(max_length=50)
	Waktu = models.TimeField()
	Ruang = models.TextField(max_length=50)
	Deskripsi = models.TextField(max_length=50)

Story5/forms.py
from django import forms

class FormJadwal(forms.Form):

	Nama = forms.CharField(widget=forms.TextInput(attrs={
		'class' : 'form-control',
		'type' : 'text',
		'placeholder' : 'Nama Mata Kuliah',
		'required' : True,
	}))

	Dosen = forms.CharField(widget=forms.TextInput(attrs={
		'class' : 'form-control',
		'type' : 'text',
		'placeholder' : 'Nama Dosen',
		'required' : True,
	}))

	SKS = forms.CharField(widget=forms.TextInput(attrs={
		'class' : 'form-control',
		'type' : 'text',
		'placeholder' : 'Jumlah SKS',
		'required' : True,
	}))

	Waktu = forms.TimeField(widget=forms.TimeInput(attrs={
		'class' : 'form-control',
		'type' : 'time',
		'required' : True,
	}))

	Ruang = forms.CharField(widget=forms.TextInput(attrs={
		'class' : 'form-control',
		'type' : 'text',
		'placeholder' : 'Ruang',
		'required' : True,
	}))

	Deskripsi = forms.CharField(widget=forms.TextInput(attrs={
		'class' : 'form-control',
		'type' : 'text',
		'placeholder' : 'Penjelasan',
		'required' : True,
	}))

Story5/views.py
from django.shortcuts import render, redirect
from .models import Jadwal as jadwal
from .forms import FormJadwal

# Create your views here.
def Join(request):
    if request.method == "POST":
        form = FormJadwal(request.POST)
        if form.is_valid():
            sched = jadwal()
            sched.Nama = form.cleaned_data['Nama']
            sched.Dosen = form.cleaned_data['Dosen']
            sched.SKS = form.cleaned_data['SKS']
            sched.Waktu = form.cleaned_data['Waktu']
            sched.Ruang = form.cleaned_data['Ruang']
            sched.Deskripsi = form.cleaned_data['Deskripsi']
            sched.save()
        return redirect('/story5/jadwal')
    else:
        sched = jadwal.objects.all()
        form = FormJadwal()
        response = {"sched":sched, 'form' : form}
        return render(request,'jadwal.html',response)

def sched_delete(request, pk):
    if request.method == "POST":
        form = FormJadwal(request.POST)
        if form.is_valid():
            sched = jadwal()
            sched.Nama = form.cleaned_data['Nama']
            sched.Dosen = form.cleaned_data['Dosen']
            sched.SKS = form.cleaned_data['SKS']
            sched.Waktu = form.cleaned_data['Waktu']
            sched.Ruang = form.cleaned_data['Ruang']
            sched.Deskripsi = form.cleaned_data['Deskripsi']
            sched.save()
        return redirect('/story5/jadwal')
    else:
        jadwal.objects.filter(pk=pk).delete()
        data = jadwal.objects.all()
        form = FormJadwal()
        response = {"sched":data, 'form' : form}
        return render(request, 'jadwal.html', response)

def detail(request, pk):
    sched = jadwal.objects.all().filter(id=pk)
    response = {"FormJadwal" : sched}
    return render(request, "detail.html", response)

Story5/templates/detail.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
		<title>Detail Mata Kuliah</title>
		<link href='https://fonts.googleapis.com/css?family=Lalezar' rel='stylesheet'>
		<link href="https://fonts.googleapis.com/css?family=Jura" rel='stylesheet'>
		<!-- CSS only -->
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

		<!-- JS, Popper.js, and jQuery -->
		<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
		<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
		<link rel="stylesheet" href="{% static 'css/mycss.css' %}">
		<style type="text/css">
            
            body {
                font-family: 'Jura';
                background-image: url('{% static 'img/navbg.jpg' %}');
            }
            
        </style>
{% endblock meta %}

{% block content %}
	<br>
	<h1 style="text-align: center;"> Detail Mata Kuliah </h1>
	<div class="container">
	<table class =  "table table-bordered">
		{% for Jadwal in FormJadwal %} 
		<tbody>
		<tr>
			<td><b>Nama Mata Kuliah</b></td>
			<td>{{Jadwal.Nama}}</td>
		</tr>
		<tr>
			<td><b>Nama Dosen</b></td>
			<td>{{Jadwal.Dosen}}</td>
		</tr>
		<tr>
			<td><b>Jumlah SKS</b></td>
			<td>{{Jadwal.SKS}}</td>
		</tr>
		<tr>
			<td><b>Waktu</b></td>
			<td>{{Jadwal.Waktu}}</td>
		</tr>
		<tr>
			<td><b>Ruang</b></td>
			<td>{{Jadwal.Ruang}}</td>
		</tr>
		<tr>
			<td><b>Deskripsi</b></td>
			<td>{{Jadwal.Deskripsi}}</td>
		</tr>
		</tbody>
		{% endfor %}
	</table>
	</div>
	<div class="text-center">
		<a class="btn btn-info" href="{% url 'Story5:jadwal' %}">Kembali</a>
	</div>
</html>
{% endblock content %}

Story5/templates/jadwal.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
        <title>Mata Kuliah</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <link rel="stylesheet" 
        href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" 
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" 
        crossorigin="anonymous">
        <link href="https://fonts.googleapis.com/css?family=Roboto:700&display=swap"rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Roboto+Condensed:400,700&display=swap" rel="stylesheet">
        <link href='https://fonts.googleapis.com/css?family=Lalezar' rel='stylesheet'>
        <link href="https://fonts.googleapis.com/css?family=Jura" rel='stylesheet'>
        <style type="text/css">
            
            body {
                font-family: 'Jura';
                background-image: url('{% static 'img/navbg.jpg' %}');
            }
            
        </style>

{% endblock meta %}

{% block content %}
<br>
<div class="container">
            <div class="row">
                <div class="col">
                    <form action='' method="POST">
                        {% csrf_token %}
                        {{ form }}
                        <br>
                        <div class="centre-items">
                            <input type="submit" class="btn btn-primary" value="Tambah Mata Kuliah">
                        </div>
                    </form>
                </div>
                <div class="col">
                    <table class="table">
                        <thead>
                            <tr>
                            <th scope="col">Nama</th>
                            <th scope="col">Dosen</th>
                            <th scope="col">SKS</th>
                            <th scope="col">Waktu</th>
                            <th scope="col">Ruang</th>
                            <th scope="col">Deskripsi</th>
                            <th scope="col">Delete</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for jadwal in sched %}
                                <tr>
                                <th scope="row"><a href="{% url 'Story5:detail' jadwal.id %}">{{jadwal.Nama}}</a></th>
                                <td>{{jadwal.Dosen}}</td>
                                <td>{{jadwal.SKS}}</td>
                                <td>{{jadwal.Waktu}}</td>
                                <td>{{jadwal.Ruang}}</td>
                                <td>{{jadwal.Deskripsi}}</td>
                                <td><a href="{% url 'Story5:Delete' pk=jadwal.pk %}"><button class="btn btn-icon btn-danger"><i class="fa fa-trash"></i></button></a></td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
        </div>

{% endblock content %}